DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementFeatures

Get the measurement ID array

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementFeatures ( measurement, featureID, resources )

## FUNCTION

This function obtains an array of measurement function IDs in the measurement structure. See `MeasurementForge` for a (brief) explination of the measurement data structure.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_IntegerArray *` | `featureID` | pointer to an array of measurement function IDs
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`Measure`, `MeasurementNew`, `MeasurementNumberOfFeatures`, `MeasurementFeatureValid`, `MeasurementFeatureDescription`